# class Net::IMAP::LoginAuthenticator

Authenticator for the “LOGIN” authentication type. See authenticate().

### Constants

STATE_PASSWORD
STATE_USER

### Public Class Methods

new(user, password) click to toggle source

    # File lib/net/imap.rb, line 3519
    def initialize(user, password)
      @user = user
      @password = password
      @state = STATE_USER
    end

### Public Instance Methods

process(data) click to toggle source

    # File lib/net/imap.rb, line 3504
    def process(data)
      case @state
      when STATE_USER
        @state = STATE_PASSWORD
        return @user
      when STATE_PASSWORD
        return @password
      end
    end